Debian Bug report logs - #486400
splashy doesn't work with hibernation

version graph

Package: splashy; Maintainer for splashy is (unknown);

Reported by: Eric Doviak <eric@doviak.net>

Date: Sun, 15 Jun 2008 20:45:01 UTC

Severity: grave

Found in versions splashy/0.3.10-1, splashy/0.3.10-2

Fixed in version splashy/0.3.12-1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Eric Doviak <eric@doviak.net>:
New Bug report received and forwarded. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: splashy doesn't work with hibernation
Date: Sun, 15 Jun 2008 16:44:51 -0400
Package: splashy
Version: 0.3.10-1
Severity: normal


I love watching Splashy's Debian-moreblue theme appear when I start my computer, but I'd also like to 
start my computer. 

Splashy works well on a clean boot, but it doesn't allow the computer to resume from hibernation. 
I've tried appending the line "splash = y" to my "/etc/uswsusp.conf" file and regenerating the initial 
RAM disk (with the "update-initramfs -u" command), but neither seem to work.

For what it's worth, usplash appears to have the same bug (#468735 -- "usplash does not work with 
hibernation"). I do not know if they are related.

Thanks,
- Eric


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages splashy depends on:
ii  initramfs-tools        0.92b             tools for generating an initramfs
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libdirectfb-1.0-0      1.0.1-9           direct frame buffer graphics - sha
ii  libgcc1                1:4.3.0-5         GCC support library
ii  libglib2.0-0           2.16.3-2          The GLib library of C routines
ii  libmagic1              4.24-2            File type determination library us
ii  libsplashy1            0.3.10-1          Library to draw splash screen on b
ii  lsb-base               3.2-12            Linux Standard Base 3.2 init scrip
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

splashy recommends no packages.

-- no debconf information


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages uswsusp depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  libc6                         2.7-10     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.0-5  GCC support library
ii  libgcrypt11                   1.4.1-1    LGPL Crypto library - runtime libr
ii  liblzo2-2                     2.03-1     data compression library
ii  libpci3                       1:3.0.0-4  Linux PCI Utilities (shared librar
ii  libsplashy1                   0.3.10-1   Library to draw splash screen on b
ii  libx86-1                      0.99+ds1-2 x86 real-mode library

Versions of packages uswsusp recommends:
ii  initramfs-tools               0.92b      tools for generating an initramfs
ii  mount                         2.13.1.1-1 Tools for mounting and manipulatin

-- debconf information:
  uswsusp/suspend_loglevel:
  uswsusp/no_swap:
  uswsusp/resume_offset:
  uswsusp/early_writeout: true
  uswsusp/image_size: 121068584
  uswsusp/snapshot_device:
  uswsusp/max_loglevel:
  uswsusp/shutdown_method: platform
  uswsusp/encrypt: false
  uswsusp/RSA_key_bits: 1024
* uswsusp/continue_without_swap: true
  uswsusp/compute_checksum: false
  uswsusp/no_snapshot:
  uswsusp/compress: true
  uswsusp/create_RSA_key: false
  uswsusp/RSA_key_file: /etc/uswsusp.key
  uswsusp/resume_device: /dev/hda5
  uswsusp/splash: false




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Carlo Aquilini <caquilini@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 486400@bugs.debian.org (full text, mbox):

From: Carlo Aquilini <caquilini@gmail.com>
To: 486400@bugs.debian.org
Subject: splashy doesn't work with hibernation
Date: Mon, 16 Jun 2008 09:52:16 +0200
Package: splashy
Version: 0.3.10-1

Same problem with my laptop using splashy and uswsusp.
System freezes during resume if splashy is in graphical mode.
If I press F2 in the very early stage of the resume, splashy goes to verbose mode and the system resumes well from hibernation.
But If I wait too much in graphical mode then I can't get the control of the machine anymore and I have to shutdown brutally.

Ask me for futher information if needed.


Regards, CA


--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.24-1-686

Debian Release: lenny/sid
  990 testing         www.debian-multimedia.org 
  990 testing         security.debian.org 
  990 testing         debian.fastweb.it 
  500 unstable        debian.fastweb.it 

--- Package information. ---
Depends                     (Version) | Installed
=====================================-+-================
libc6                      (>= 2.7-1) | 2.7-10
libdirectfb-1.0-0        (>= 1.0.1-9) | 1.0.1-9
libgcc1               (>= 1:4.1.1-21) | 1:4.3.0-5
libglib2.0-0              (>= 2.12.0) | 2.16.3-2
libmagic1                             | 4.24-2
libsplashy1                           | 0.3.10-1
zlib1g                   (>= 1:1.1.4) | 1:1.2.3.3.dfsg-12
lsb-base                              | 3.2-12
initramfs-tools                       | 0.92b






Information forwarded to debian-bugs-dist@lists.debian.org, mdspam@gmx.de, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Marcel Dischinger <mdspam@gmx.de>:
Extra info received and forwarded to list. Copy sent to mdspam@gmx.de, Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 486400@bugs.debian.org (full text, mbox):

From: Marcel Dischinger <mdspam@gmx.de>
To: Debian Bug Tracking System <486400@bugs.debian.org>
Subject: splashy doesn't work with hibernation
Date: Thu, 26 Jun 2008 17:08:23 +0200
Package: splashy
Version: 0.3.10-2
Followup-For: Bug #486400

I have the same issue here. I found that the problem only occurs if
splashy is activated in grub (add "splash" as a kernel parameter) _and_
in uswsusp. Then, splashy hangs while resuming from hibernation.
If I either remove splashy from grub or uswsusp, it works just fine.

BTW, Linux does not hang, resume actually works. I can log in using ssh, all
processes are running normal. I do not know why the desktop (KDE in my
case) does not come up again,  but splashy stays (with no progress in
the progress bar). Is splashy messing up the frame buffer somehow?
Because I do not see a splash process running, though it is displayed.




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Luis Mondesi" <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 486400@bugs.debian.org (full text, mbox):

From: "Luis Mondesi" <lemsx1@gmail.com>
To: "Marcel Dischinger" <mdspam@gmx.de>, 486400@bugs.debian.org
Cc: "Tim Dijkstra" <tim@famdijkstra.org>
Subject: Re: [Splashy-devel] Bug#486400: splashy doesn't work with hibernation
Date: Thu, 26 Jun 2008 19:59:14 -0400
On Thu, Jun 26, 2008 at 11:08 AM, Marcel Dischinger <mdspam@gmx.de> wrote:
> Package: splashy
> Version: 0.3.10-2
> Followup-For: Bug #486400
>
> I have the same issue here. I found that the problem only occurs if
> splashy is activated in grub (add "splash" as a kernel parameter) _and_
> in uswsusp. Then, splashy hangs while resuming from hibernation.
> If I either remove splashy from grub or uswsusp, it works just fine.
>
> BTW, Linux does not hang, resume actually works. I can log in using ssh, all
> processes are running normal. I do not know why the desktop (KDE in my
> case) does not come up again,  but splashy stays (with no progress in
> the progress bar). Is splashy messing up the frame buffer somehow?
> Because I do not see a splash process running, though it is displayed.

I do not know enough about uswsusp to be able to answer this but I'll
try to get the attention of the people that does, especially Tim.

It might be that libdirectfb is initialized twice (as somebody has
already suggested). uswsusp needs to be recompiled against libsplashy1
and perhaps detect when Splashy is running before attempting to
re-init the framebuffer... This is just a wild guess.

-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
fbsgjner jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: 486400@bugs.debian.org, mdspam@gmx.de
Subject: Re: splashy doesn't work with hibernation
Date: Sat, 28 Jun 2008 16:06:17 -0400
[Message part 1 (text/plain, inline)]
Marcel Dischinger wrote:

> I have the same issue here. I found that the problem only occurs if
> splashy is activated in grub (add "splash" as a kernel parameter) _and_
> in uswsusp. Then, splashy hangs while resuming from hibernation.
> If I either remove splashy from grub or uswsusp, it works just fine.


What do you mean when you say:  "If I ... remove splashy from ... 
uswsusp, it works just fine." ???

I've tried adding "splash = n" to /etc/uswsusp.conf and regenerating the 
initial RAM disk, but that doesn't stop Splashy from hanging while 
resuming from hibernation.

Thanks,
- Eric

[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: 486400@bugs.debian.org
Subject: Splashy works with hibernation, but ...
Date: Sun, 29 Jun 2008 16:10:33 -0400
[Message part 1 (text/plain, inline)]
This is interesting:  Splashy really does work with hibernation!

I have Splashy (almost) completely configured. I left the "splash = y" 
line in my /etc/uswsusp.conf file and I set the "vga=791" argument -- 
but NOT the "splash" argument -- on the kernel line of my 
/boot/grub/menu.lst file.

When shutting down and when starting after a complete shutdown, I 
obviously do not see the splash screen, but when I hibernate or when I 
resume from hibernation, I see the splash screen and it works rather well.

I really hope you can fix this bug in time for Lenny's release and I'd 
like to help you if I can. I've been looking at Splashy and uswsusp's 
source code. I'm trying to understand it, but I don't know C, so it 
ain't easy. Nonetheless, if there's anything I can do to help, please 
let me know.

Thanks,
- Eric


Here's my  /etc/uswsusp.conf  file:

# /etc/uswsusp.conf(8) -- Configuration file for s2disk/s2both
resume device = /dev/hda5
splash = y
compress = y
early writeout = y
image size = 488091648
RSA key file = /etc/uswsusp.key
shutdown method = platform


and here are the relevant lines from my  /boot/grub/menu.lst  file:

title           Debian GNU/Linux, kernel 2.6.24-1-686
root            (hd0,1)
kernel          /boot/vmlinuz-2.6.24-1-686 root=/dev/hda2 ro vga=791
initrd          /boot/initrd.img-2.6.24-1-686



[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, mdspam@gmx.de, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Marcel Dischinger <mdspam@gmx.de>:
Extra info received and forwarded to list. Copy sent to mdspam@gmx.de, Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 486400@bugs.debian.org (full text, mbox):

From: Marcel Dischinger <mdspam@gmx.de>
To: Debian Bug Tracking System <486400@bugs.debian.org>
Subject: Re: splashy doesn't work with hibernation
Date: Mon, 30 Jun 2008 08:54:39 +0200
Package: splashy
Version: 0.3.10-2
Followup-For: Bug #486400

Maybe I was wrong. I actually disabled splashy altogether for the
moment. I remember that removing splashy from grub but leaving it on in
uswsusp worked. I am not so sure anymore for the combination with
splashy being on in grub but not in uswsusp.
I might give it a second try when I find the time.




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: 486400@bugs.debian.org
Cc: Luis Mondesi <lemsx1@gmail.com>
Subject: Re: [Splashy-devel] Bug#486400: Splashy works with hibernation, but ...
Date: Tue, 01 Jul 2008 01:48:31 -0400
[Message part 1 (text/plain, inline)]
I think I know how to fix this bug. ... Of course, knowing how to fix 
the bug and being able to fix the bug are two totally different things.

If I understand correctly ... When the "vga=791 splash" arguments are 
passed to the kernel, some of the first scripts that the initial RAM 
disk runs is a script that starts the framebuffer 
("init-top/framebuffer") and a script that checks to see if Splashy 
should start ("init-top/splashy").

Later, the initial RAM disk checks to see if there's a hibernation image 
from which to resume "local-premount/{resume,uswsusp}". If it detects a 
resume image, then it loads the resume image. The trouble then occurs 
because the resume image also contains Splashy.

So if you could move (some of) the checks for the resume image into the 
the "init-top/splashy" script and cause the "init-top/splashy" script to 
exit if it detects a resume image, then:

   * on a boot following a complete shutdown, the "init-top/splashy"
     script would start Splashy
   * on a boot following hibernation, the "init-top/splashy" script
     would exit and allow the resume features to start Splashy

That would provide the best of both worlds! A userspace bootsplash that 
starts early in the boot sequence and a bootsplash that is capable of 
working with hibernation!

I hope this helps! Please let me know if there's anything else I can do!

Thanks,
- Eric


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: 486400@bugs.debian.org
Cc: Luis Mondesi <lemsx1@gmail.com>
Subject: Re: [Splashy-devel] Bug#486400: Splashy works with hibernation, but ...
Date: Tue, 01 Jul 2008 02:37:24 -0400
[Message part 1 (text/plain, inline)]
Just to clarify (in case my previous message was unclear) ...

In the "/usr/share/initramfs-tools/scripts/init-top" file, the lines:

for x in $(cat /proc/cmdline); do
   case $x in
       single)
           SINGLE=true
       ;;
       splash)
           SPLASH=true
       ;;
       nosplash)
           SPLASH=false
       ;;
       vga=*|video=*)
           FBMODESET=true
       ;;
   esac
done

should be immediately followed by a test to see if a resume image is 
available. If one is available, then "SPLASH=false"

Hope this helps,
- Eric


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Luis Mondesi" <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 486400@bugs.debian.org (full text, mbox):

From: "Luis Mondesi" <lemsx1@gmail.com>
To: eric@doviak.net, 486400@bugs.debian.org
Subject: Re: Bug#486400: [Splashy-devel] Bug#486400: Splashy works with hibernation, but ...
Date: Tue, 1 Jul 2008 10:34:56 -0400
On Tue, Jul 1, 2008 at 1:48 AM, Eric Doviak <eric@doviak.net> wrote:
> I think I know how to fix this bug. ... Of course, knowing how to fix the
> bug and being able to fix the bug are two totally different things.
>
> If I understand correctly ... When the "vga=791 splash" arguments are passed
> to the kernel, some of the first scripts that the initial RAM disk runs is a
> script that starts the framebuffer ("init-top/framebuffer") and a script
> that checks to see if Splashy should start ("init-top/splashy").
>
> Later, the initial RAM disk checks to see if there's a hibernation image
> from which to resume "local-premount/{resume,uswsusp}". If it detects a
> resume image, then it loads the resume image. The trouble then occurs
> because the resume image also contains Splashy.
>
> So if you could move (some of) the checks for the resume image into the the
> "init-top/splashy" script and cause the "init-top/splashy" script to exit if
> it detects a resume image, then:
>
> on a boot following a complete shutdown, the "init-top/splashy" script would
> start Splashy
> on a boot following hibernation, the "init-top/splashy" script would exit
> and allow the resume features to start Splashy
>
> That would provide the best of both worlds! A userspace bootsplash that
> starts early in the boot sequence and a bootsplash that is capable of
> working with hibernation!
>
> I hope this helps! Please let me know if there's anything else I can do!

This is perfect!

Thanks, I'll commit a fix to the repository today and ask the Debian
developers to upload this as 0.3.10-3.

You saved me a lot of time ;)


-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
fbsgjner jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: Luis Mondesi <lemsx1@gmail.com>, 486400@bugs.debian.org
Subject: Re: Bug#486400: a hack that WORKS !!!
Date: Thu, 03 Jul 2008 00:38:36 -0400
[Message part 1 (text/plain, inline)]
Hi Luis,

After days of struggling with the "resume bug," I have finally found a 
hack that fixes the problem. It's not ideal, but it squashes the bug and 
it provides laptop users with a boot splash without compromising the 
quality that desktop users currently enjoy.

Specifically, I started by adding the following code after line 44 of 
the "/usr/share/initramfs-tools/scripts/init-top/splashy" file:

if [ ! -z "${resume}" ]; then
       SPLASH=false
fi

That condition allows me to resume from hibernation, but it causes 
Splashy to start rather late in the boot sequence. Specifically, it 
starts when the "init-bottom" scripts are run. Adding such a condition 
to Splashy would be useful to laptop users, but the late start would 
degrade Splashy in the eyes of desktop users.

I see no reason why desktop users should be penalized just to make 
laptop users happy, so I created another condition that only runs the 
condition above if "laptop" is passed as a kernel argument. The code is 
below.

By creating a "laptop" kernel argument, desktop users would continue to 
see a splash screen early in the boot sequence and laptop users would 
get a user-space boot splash system that works during start-up, 
shutdown, suspend and resume.

It certainly isn't the ideal solution that I had in mind a few days ago 
(when I thought we could provide everyone with a splash screen that 
starts early in the boot sequence), but it squashes the bug and it makes 
Splashy usable for laptop users. Importantly, it achieves those 
objectives without degrading Splashy's performance on desktop computers.

Let me know if there's anything else I can do,
- Eric


SPLASH=false
LAPTOP=false
SINGLE=false
FBMODESET=false

for x in $(cat /proc/cmdline); do
   case $x in
       single)
           SINGLE=true
       ;;
       splash)
           SPLASH=true
       ;;
       laptop)
           LAPTOP=true
       ;;
       nosplash)
           SPLASH=false
       ;;
       vga=*|video=*)
           FBMODESET=true
       ;;
   esac
done

test $LAPTOP != "true" || if [ ! -z "${resume}" ]; then SPLASH=false ; fi
test $SINGLE = "false" || exit
test $SPLASH = "true" || exit
test $FBMODESET = "true" || exit




[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Luis Mondesi <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 486400@bugs.debian.org (full text, mbox):

From: Luis Mondesi <lemsx1@gmail.com>
To: "eric@doviak.net" <eric@doviak.net>
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: a hack that WORKS !!!
Date: Thu, 3 Jul 2008 06:09:30 -0400
[Message part 1 (text/plain, inline)]
On Jul 3, 2008, at 0:38, Eric Doviak <eric@doviak.net> wrote:

> Hi Luis,
>
> After days of struggling with the "resume bug," I have finally found  
> a hack that fixes the problem. It's not ideal, but it squashes the  
> bug and it provides laptop users with a boot splash without  
> compromising the quality that desktop users currently enjoy.
>
> Specifically, I started by adding the following code after line 44  
> of the "/usr/share/initramfs-tools/scripts/init-top/splashy" file:
>
> if [ ! -z "${resume}" ]; then
>         SPLASH=false
> fi
>
> That condition allows me to resume from hibernation, but it causes  
> Splashy to start rather late in the boot sequence. Specifically, it  
> starts when the "init-bottom" scripts are run. Adding such a  
> condition to Splashy would be useful to laptop users, but the late  
> start would degrade Splashy in the eyes of desktop users.
>
> I see no reason why desktop users should be penalized just to make  
> laptop users happy, so I created another condition that only runs  
> the condition above if "laptop" is passed as a kernel argument. The  
> code is below.
>
> By creating a "laptop" kernel argument, desktop users would continue  
> to see a splash screen early in the boot sequence and laptop users  
> would get a user-space boot splash system that works during start- 
> up, shutdown, suspend and resume.
>
> It certainly isn't the ideal solution that I had in mind a few days  
> ago (when I thought we could provide everyone with a splash screen  
> that starts early in the boot sequence), but it squashes the bug and  
> it makes Splashy usable for laptop users. Importantly, it achieves  
> those objectives without degrading Splashy's performance on desktop  
> computers.
>
> Let me know if there's anything else I can do,
> - Eric
>
>
> SPLASH=false
> LAPTOP=false
> SINGLE=false
> FBMODESET=false
>
> for x in $(cat /proc/cmdline); do
>     case $x in
>         single)
>             SINGLE=true
>         ;;
>         splash)
>             SPLASH=true
>         ;;
>         laptop)
>             LAPTOP=true
>         ;;
>         nosplash)
>             SPLASH=false
>         ;;
>         vga=*|video=*)
>             FBMODESET=true
>         ;;
>     esac
> done
>
> test $LAPTOP != "true" || if [ ! -z "${resume}" ]; then  
> SPLASH=false ; fi
> test $SINGLE = "false" || exit
> test $SPLASH = "true" || exit
> test $FBMODESET = "true" || exit

When $resume is not set, does Splashy start from initramfs init-top?  
Why does Splashy starts "late"?
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #65 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: Luis Mondesi <lemsx1@gmail.com>, 486400@bugs.debian.org
Subject: Re: Bug#486400: a hack that WORKS !!!
Date: Thu, 03 Jul 2008 07:57:02 -0400
[Message part 1 (text/plain, inline)]
Eric Doviak wrote:
> Luis Mondesi wrote:
>> When $resume is not set, does Splashy start from initramfs init-top? 
>> Why does Splashy starts "late"?
> When "$resume" is not set, Splashy does not start from "init-top". It 
> appears to start from "init-bottom". My guess is that Splashy starts 
> "late" because the script is waiting for information about "$resume".
>
> I tried adding the "case" structure from "local-premount/resume", but 
> I didn't have any luck.
>
> - Eric
>

Just to clarify ... Simply testing this condition:

> if [ ! -z "${resume}" ]; then
>         SPLASH=false
> fi

causes Splashy to start late. That's why I created the "laptop" kernel 
argument.

When I tested my hack by not passing the "laptop" kernel argument, 
Splashy starts from "init-top" (like it is supposed to), but I can only 
start-up, shutdown and suspend. I cannot resume. The "laptop" kernel 
argument fixes the "resume bug," but it causes Splashy to start late on 
start-up.

- Eric



[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #70 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: Luis Mondesi <lemsx1@gmail.com>, "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: a hack that WORKS !!!
Date: Thu, 03 Jul 2008 22:39:17 -0400
[Message part 1 (text/plain, inline)]
Luis Mondesi wrote:
> When $resume is not set, does Splashy start from initramfs init-top? 
> Why does Splashy starts "late"?


Hi Luis,

I ran some diagnostics using the hack that I sent yesterday.

Specifically, I ran "splashy_config -s kubuntusplashy" but I did NOT run 
"update-initramfs -u". That enables me to see when Splashy is running 
from the initial RAM disk and when it is running from the regular file 
system. When I see "debian-moreblue," then I know that Splashy is 
running from the initial RAM disk. When I see "kubuntusplashy," then I 
know that Splashy is running from the regular file system.

Or more simply: "'Debian' is right. 'Kubuntu' is wrong." ;-)


When I pass the arguments "vga=791 splashy", I see:

* Start-up  -- Debian
* Shut-down -- Kubuntu

* Hibernate -- Kubuntu
* Resume    -- Debian  -- and then it freezes


When I pass the arguments "vga=791 splashy laptop", I see:

* Start-up  -- Kubuntu
* Shut-down -- Kubuntu

* Hibernate -- Kubuntu
* Resume    -- Debian  -- resumes successfully


==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==


IMPLICATION #1

Those tests tell me that the line:

test $LAPTOP != "true" || if [ ! -z "${resume}" ]; then SPLASH=false ; fi

always evaluates to "SPLASH=false" because "${resume}" is never zero in 
length. Then when the script reads:

test $SPLASH = "true" || exit

it exits.

When the "laptop" kernel argument is passed during start-up, Splashy 
starts when the initial RAM disk quits and the regular file system takes 
over. The Kubuntu splash screen at start-up confirms this.

For further confirmation, I also paid very close attention to the boot 
messages that I saw during start-up. Here (more or less) are the last 
lines that I saw prior to Splashy starting:

Running scripts/init-bottom
Done.
INIT version 2.86 Booting
* (Re)generating splash steps for
* rc2.d ...
* rc0.d ...
* rc6.d ...
Starting boot manager Splashy
Splashy ERROR connection refused
Splashy ERROR connection refused

I think the "connection refused" messages occur because it's trying to 
connect to a running version of Splashy (but none is running, of course).


==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==


IMPLICATION #2

OK, so what does this mean in terms of the "resume bug?" Why doesn't 
Splashy allow my computer to resume from hibernation without my hack?

In my amateur opinion, there are two ways of finding a "real solution."

One way is to determine what "${resume}" should look like when the 
system is starting-up and what it should look like when it is resuming. 
Once we determine that, we can have the "init-top/splashy" script 
perform the appropriate tests. My hack simply doesn't perform the 
correct test. "${resume}" is always non-zero in length.

The other way is to fix the connection between the part of Splashy that 
runs immediately upon boot and the part of Splashy that runs when the 
resume process begins. The fact that the Debian splash screen always 
appeared during resume (i.e. when I passed "vga=791 splashy" and when I 
passed "vga=791 splashy laptop") indicates that this connection occurs 
entirely within the initial RAM disk.


==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==  ==


That's about all I can think of. I hope this helps and I apologize if 
I'm driving you nuts about this bug.

Have a great weekend,
- Eric


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Luis Mondesi" <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #75 received at 486400@bugs.debian.org (full text, mbox):

From: "Luis Mondesi" <lemsx1@gmail.com>
To: eric@doviak.net
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: a hack that WORKS !!!
Date: Thu, 3 Jul 2008 23:29:55 -0400
On Thu, Jul 3, 2008 at 10:39 PM, Eric Doviak <eric@doviak.net> wrote:
> Luis Mondesi wrote:
>
> When $resume is not set, does Splashy start from initramfs init-top? Why
> does Splashy starts "late"?
>
> Hi Luis,
>
> I ran some diagnostics using the hack that I sent yesterday.
>
> Specifically, I ran "splashy_config -s kubuntusplashy" but I did NOT run
> "update-initramfs -u". That enables me to see when Splashy is running from
> the initial RAM disk and when it is running from the regular file system.
> When I see "debian-moreblue," then I know that Splashy is running from the
> initial RAM disk. When I see "kubuntusplashy," then I know that Splashy is
> running from the regular file system.
>
> Or more simply: "'Debian' is right. 'Kubuntu' is wrong." ;-)
>
>
> When I pass the arguments "vga=791 splashy", I see:

if you pass "splashy" then Splashy won't work. You need to pass
"splash" as a kernel parameter. Is this a typo on this email or are
you actually using this keyword?

Back to the drawing board?

Thanks for your help on this though. I'm trying to reproduce this on
my own system.

-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
fbsgjner jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to eric@doviak.net:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #80 received at 486400@bugs.debian.org (full text, mbox):

From: Eric Doviak <eric@doviak.net>
To: Luis Mondesi <lemsx1@gmail.com>, 486400@bugs.debian.org
Subject: Re: Bug#486400: a hack that WORKS !!!
Date: Fri, 04 Jul 2008 01:40:40 -0400
[Message part 1 (text/plain, inline)]
Yet another typo! I forgot to send this to Debian Bugs!
Sorry for the double email!
- Eric


Luis Mondesi wrote:
> if you pass "splashy" then Splashy won't work. You need to pass
> "splash" as a kernel parameter. Is this a typo on this email or are
> you actually using this keyword?
>
> Back to the drawing board?
>
> Thanks for your help on this though. I'm trying to reproduce this on
> my own system.
>   

Whoops! The typo was in my message. The typo was NOT in my 
"/boot/grub/menu.lst"

I was passing "vga=791 splash" and "vga=791 splash laptop" when I ran 
the tests.

- Eric



here's the relevant section of my "/boot/grub/menu.lst"


title           Debian GNU/Linux, kernel 2.6.24-1-686
root            (hd0,1)
kernel          /boot/vmlinuz-2.6.24-1-686 root=/dev/hda2 ro vga=791 
splash laptop
initrd          /boot/initrd.img-2.6.24-1-686

title           Debian GNU/Linux, kernel 2.6.24-1-686 (single-user mode)
root            (hd0,1)
kernel          /boot/vmlinuz-2.6.24-1-686 root=/dev/hda2 ro single
initrd          /boot/initrd.img-2.6.24-1-686

title           Debian GNU/Linux, kernel 2.6.21.7-emd
root            (hd0,1)
kernel          /boot/vmlinuz-2.6.21.7-emd root=/dev/hda2 ro vga=791 
splash laptop
initrd          /boot/initrd.img-2.6.21.7-emd

title           Debian GNU/Linux, kernel 2.6.21.7-emd (single-user mode)
root            (hd0,1)
kernel          /boot/vmlinuz-2.6.21.7-emd root=/dev/hda2 ro single
initrd          /boot/initrd.img-2.6.21.7-emd


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #85 received at 486400@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: Debian Bug Tracking System <486400@bugs.debian.org>
Subject: resume fails due to splashy, uswsusp, gdm, intel graphics
Date: Thu, 17 Jul 2008 21:27:33 +1000
Package: splashy
Version: 0.3.10-2
Followup-For: Bug #486400

splashy works for a normal boot.
it also displays during a suspend to disk (hibernate).
But upon resume, the splash screen appears, and there is some disk
activity, but then the resume just stops. I can get no response from the
machine. 

It is a Dell D420 notebook with intel graphics.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages splashy depends on:
ii  initramfs-tools        0.92e             tools for generating an initramfs
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libdirectfb-1.0-0      1.0.1-9           direct frame buffer graphics - sha
ii  libgcc1                1:4.3.1-2         GCC support library
ii  libglib2.0-0           2.16.3-2          The GLib library of C routines
ii  libmagic1              4.24-4            File type determination library us
ii  libsplashy1            0.3.10-2          Library to draw splash screen on b
ii  lsb-base               3.2-12            Linux Standard Base 3.2 init scrip
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

splashy recommends no packages.

-- no debconf information




Severity set to `grave' from `normal' Request was from Tim Richardson <tim@tim-richardson.net> to control@bugs.debian.org. (Fri, 25 Jul 2008 13:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #92 received at 486400@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: 486400@bugs.debian.org
Subject: Grave bug
Date: Fri, 25 Jul 2008 23:43:25 +1000
Laptop top users can't really use splashy because of this bug; I'm
surprised this is not an RC bug. I wouldn't want this to be in a stable
release because I'm a Debian enthusiast.





Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Luis Mondesi" <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #97 received at 486400@bugs.debian.org (full text, mbox):

From: "Luis Mondesi" <lemsx1@gmail.com>
To: "Tim Richardson" <tim@tim-richardson.net>, 486400@bugs.debian.org
Subject: Re: [Splashy-devel] Bug#486400: Grave bug
Date: Fri, 25 Jul 2008 11:44:58 -0400
This is fixed in Git and it will be released as 0.3.11 shortly.

The debian package for it will follow shortly after that.

On Fri, Jul 25, 2008 at 9:43 AM, Tim Richardson <tim@tim-richardson.net> wrote:
> Laptop top users can't really use splashy because of this bug; I'm
> surprised this is not an RC bug. I wouldn't want this to be in a stable
> release because I'm a Debian enthusiast.
>
>
>
>
> _______________________________________________
> Splashy-devel mailing list
> Splashy-devel@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/splashy-devel
>



-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
fbsgjner jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #102 received at 486400@bugs.debian.org (full text, mbox):

From: "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>
To: 486400@bugs.debian.org
Subject: Still in 0.3.11
Date: Fri, 1 Aug 2008 01:47:36 -0300
[Message part 1 (text/plain, inline)]
Hello,

I have just tested the newer 0.3.11 version asn my Asus EEE PC 900 still
"freezes" if I use uswsusp + splashy, the bug still exists.

If I find time on the following days, I'll post here my findings on the
topic.

Bye.

----
Fabio Pugliese Ornellas
E-Mail: fabio.ornellas@gmail.com
gTalk: fabio.ornellas@gmail.com
ICQ: 6516089
MSN: neo_fpo@ig.com.br
WWW: http://ornellas.apanela.com/
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Luis Mondesi <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #107 received at 486400@bugs.debian.org (full text, mbox):

From: Luis Mondesi <lemsx1@gmail.com>
To: Fabio Pugliese Ornellas <fabio.ornellas@gmail.com>, "486400@bugs.debian.org" <486400@bugs.debian.org>
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: Still in 0.3.11
Date: Fri, 1 Aug 2008 09:46:43 -0400
On Aug 1, 2008, at 12:47 AM, "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com 
> wrote:

> Hello,
>
> I have just tested the newer 0.3.11 version asn my Asus EEE PC 900  
> still "freezes" if I use uswsusp + splashy, the bug still exists.
>
> If I find time on the following days, I'll post here my findings on  
> the topic.
>

Yeah we are working on a quick release of 0.3.12 to address this and  
other pesky bugs.
Sit tight.
So far it looks like removing chvt 8 from initramfs and Splashy fixes  
a few of this issues. Exiting when $resume is set proved not to be the  
right solution. 




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #112 received at 486400@bugs.debian.org (full text, mbox):

From: "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>
To: "Luis Mondesi" <lemsx1@gmail.com>
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: Still in 0.3.11
Date: Fri, 1 Aug 2008 12:55:18 -0300
[Message part 1 (text/plain, inline)]
I had a look at uswsusp suspend command (called from within initrd) and saw
that it do interact with the framebuffer and makes some splash-related
initialization. Would'nt that be messing up with splashy? Shouldn't its code
get reviewed? Or you are sure the issue is splashy related only?

----
Fabio Pugliese Ornellas
E-Mail: fabio.ornellas@gmail.com
gTalk: fabio.ornellas@gmail.com
ICQ: 6516089
MSN: neo_fpo@ig.com.br
WWW: http://ornellas.apanela.com/


On Fri, Aug 1, 2008 at 10:46, Luis Mondesi <lemsx1@gmail.com> wrote:

>
> On Aug 1, 2008, at 12:47 AM, "Fabio Pugliese Ornellas" <
> fabio.ornellas@gmail.com> wrote:
>
>  Hello,
>>
>> I have just tested the newer 0.3.11 version asn my Asus EEE PC 900 still
>> "freezes" if I use uswsusp + splashy, the bug still exists.
>>
>> If I find time on the following days, I'll post here my findings on the
>> topic.
>>
>>
> Yeah we are working on a quick release of 0.3.12 to address this and other
> pesky bugs.
> Sit tight.
> So far it looks like removing chvt 8 from initramfs and Splashy fixes a few
> of this issues. Exiting when $resume is set proved not to be the right
> solution.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Luis Mondesi <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #117 received at 486400@bugs.debian.org (full text, mbox):

From: Luis Mondesi <lemsx1@gmail.com>
To: Fabio Pugliese Ornellas <fabio.ornellas@gmail.com>
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: Still in 0.3.11
Date: Fri, 1 Aug 2008 13:40:06 -0400

On Aug 1, 2008, at 11:55 AM, "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com 
> wrote:

> I had a look at uswsusp suspend command (called from within initrd)  
> and saw that it do interact with the framebuffer and makes some  
> splash-related initialization. Would'nt that be messing up with  
> splashy? Shouldn't its code get reviewed? Or you are sure the issue  
> is splashy related only?

Yes. We know exactly what the problem is. We are working on a solution  
for it. 




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #122 received at 486400@bugs.debian.org (full text, mbox):

From: "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>
To: "Luis Mondesi" <lemsx1@gmail.com>
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: Still in 0.3.11
Date: Fri, 1 Aug 2008 15:35:54 -0300
[Message part 1 (text/plain, inline)]
If by any means I can help, please let me know. I was about to start
debugging it today...

----
Fabio Pugliese Ornellas
E-Mail: fabio.ornellas@gmail.com
gTalk: fabio.ornellas@gmail.com
ICQ: 6516089
MSN: neo_fpo@ig.com.br
WWW: http://ornellas.apanela.com/


On Fri, Aug 1, 2008 at 14:40, Luis Mondesi <lemsx1@gmail.com> wrote:

>
>
> On Aug 1, 2008, at 11:55 AM, "Fabio Pugliese Ornellas" <
> fabio.ornellas@gmail.com> wrote:
>
>  I had a look at uswsusp suspend command (called from within initrd) and
>> saw that it do interact with the framebuffer and makes some splash-related
>> initialization. Would'nt that be messing up with splashy? Shouldn't its code
>> get reviewed? Or you are sure the issue is splashy related only?
>>
>
> Yes. We know exactly what the problem is. We are working on a solution for
> it.
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Luis Mondesi" <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #127 received at 486400@bugs.debian.org (full text, mbox):

From: "Luis Mondesi" <lemsx1@gmail.com>
To: "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: Still in 0.3.11
Date: Wed, 6 Aug 2008 11:02:07 -0400
This is a very important bug; if you can get a fix for it, got for it.

I have not been able to do any FOSS work these last weekends. I guess
we will just miss Lenny...

On Fri, Aug 1, 2008 at 2:35 PM, Fabio Pugliese Ornellas
<fabio.ornellas@gmail.com> wrote:
> If by any means I can help, please let me know. I was about to start
> debugging it today...

-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
fbsgjner jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #132 received at 486400@bugs.debian.org (full text, mbox):

From: "Fabio Pugliese Ornellas" <fabio.ornellas@gmail.com>
To: "Luis Mondesi" <lemsx1@gmail.com>
Cc: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: Still in 0.3.11
Date: Wed, 6 Aug 2008 14:36:04 -0300
[Message part 1 (text/plain, inline)]
Since you already know exactly what the problem is, please let me know where
it is, so I won't waste time on something already known. Please drop me an
email with it, and we keep in touch.

Thanks.

----
Fabio Pugliese Ornellas
E-Mail: fabio.ornellas@gmail.com
gTalk: fabio.ornellas@gmail.com
ICQ: 6516089
MSN: neo_fpo@ig.com.br
WWW: http://ornellas.apanela.com/


On Wed, Aug 6, 2008 at 12:02, Luis Mondesi <lemsx1@gmail.com> wrote:

> This is a very important bug; if you can get a fix for it, got for it.
>
> I have not been able to do any FOSS work these last weekends. I guess
> we will just miss Lenny...
>
> On Fri, Aug 1, 2008 at 2:35 PM, Fabio Pugliese Ornellas
> <fabio.ornellas@gmail.com> wrote:
> > If by any means I can help, please let me know. I was about to start
> > debugging it today...
>
> --
> ----)(-----
> Luis Mondesi
> Maestro Debiano
>
> ----- START ENCRYPTED BLOCK (Triple-ROT13) ------
> Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
> fbsgjner jbeyq.
> ----- END ENCRYPTED BLOCK (Triple-ROT13) ------
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to "Luis Mondesi" <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #137 received at 486400@bugs.debian.org (full text, mbox):

From: "Luis Mondesi" <lemsx1@gmail.com>
To: "486400@bugs.debian.org" <486400@bugs.debian.org>
Subject: Re: Bug#486400: Still in 0.3.11
Date: Thu, 7 Aug 2008 11:53:44 -0400
On Wed, Aug 6, 2008 at 1:36 PM, Fabio Pugliese Ornellas
<fabio.ornellas@gmail.com> wrote:
> Since you already know exactly what the problem is, please let me know where
> it is, so I won't waste time on something already known. Please drop me an
> email with it, and we keep in touch.
>

Ok, I'll send you the information on a private email to keep the noise
from hitting this bug report.


-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
fbsgjner jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Mark Hedges <hedges@scriptdolphin.org>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #142 received at 486400@bugs.debian.org (full text, mbox):

From: Mark Hedges <hedges@scriptdolphin.org>
To: Debian Bug Tracking System <486400@bugs.debian.org>
Subject: splashy: hibernation broken in stock 2.6.26-686 or custom kernel with crypt mapper drives
Date: Sun, 31 Aug 2008 12:33:59 -0700
Package: splashy
Version: 0.3.10-2
Followup-For: Bug #486400


I also encounter the same problem using either the stock kernel 
for 2.6.26 or my own custom kernel when resuming from hibernation.  

The normal boot-up splash screen works fine and prompts me for 
the passwords to the encrypted partitions.  (Wow that's cool.) 
But then it hangs.  The progress bar is not filled out and does 
not do anything.  The system does not respond.

I did not try magic sysrq but all key combinations to restart 
or switch terminals or get verbose splashy output (f2) do not 
work.  I end up having to power-cycle the machine to restart. 
This results in data corruption and fsck always has to clear 
one orphaned inode. 

Thanks.  --mark--

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages splashy depends on:
ii  initramfs-tools        0.92f             tools for generating an initramfs
ii  libc6                  2.7-13            GNU C Library: Shared libraries
ii  libdirectfb-1.0-0      1.0.1-9           direct frame buffer graphics - sha
ii  libgcc1                1:4.3.1-9         GCC support library
ii  libglib2.0-0           2.16.4-2          The GLib library of C routines
ii  libmagic1              4.25-1            File type determination library us
ii  libsplashy1            0.3.10-2          Library to draw splash screen on b
ii  lsb-base               3.2-19            Linux Standard Base 3.2 init scrip
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

splashy recommends no packages.

Versions of packages splashy suggests:
ii  console-common                0.7.79     basic infrastructure for text cons
pn  splashy-themes                <none>     (no description available)
pn  upstart                       <none>     (no description available)




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. Full text and rfc822 format available.

Acknowledgement sent to Mark Hedges <hedges@scriptdolphin.org>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #147 received at 486400@bugs.debian.org (full text, mbox):

From: Mark Hedges <hedges@scriptdolphin.org>
To: 486400@bugs.debian.org
Subject: followup re slighly working condition
Date: Sun, 31 Aug 2008 13:10:32 -0700 (PDT)
Also see 497313. When splashy was installed running under my
custom kernel, initramfs for the stock kernel was not
rebuilt due to that bug.

So when I booted under the stock kernel, splashy never
loaded until after I unlocked the encrypted drives and
normal boot began.

Resume from hibernation worked under this scenario.  VESA
console prompted for the drive passwords, then resume began,
then the splashy resume screen loaded and the progress bar
worked, then my gnome screensaver password prompt came up.

So it seems like the boot splash needs to turn itself off
and restore to the text console immediately before resume
from hibernation begins.  Then the hibernation screen will
load correctly.

Mark




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Mon, 13 Oct 2008 10:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Tim Dijkstra" <tim@famdijkstra.org>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Mon, 13 Oct 2008 10:15:08 GMT) Full text and rfc822 format available.

Message #152 received at 486400@bugs.debian.org (full text, mbox):

From: "Tim Dijkstra" <tim@famdijkstra.org>
To: "Luis Mondesi" <lemsx1@gmail.com>, 486400@bugs.debian.org
Subject: Re: [Splashy-devel] Bug#486400: Bug#486400: Splashy works with hibernation, but ...
Date: Mon, 13 Oct 2008 12:13:36 +0200 (CEST)
Luis,

Unfortunately I haven't looked at splashy (or any other FOSS project for
that matter) for a while, but I noticed this bug is RC. The bug log shows
you've been commenting on it, do you know the status?

grts Tim





Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Tue, 14 Oct 2008 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Luis Mondesi" <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Tue, 14 Oct 2008 13:45:04 GMT) Full text and rfc822 format available.

Message #157 received at 486400@bugs.debian.org (full text, mbox):

From: "Luis Mondesi" <lemsx1@gmail.com>
To: "Tim Dijkstra" <tim@famdijkstra.org>, 486400@bugs.debian.org
Subject: Re: Bug#486400: [Splashy-devel] Bug#486400: Bug#486400: Splashy works with hibernation, but ...
Date: Tue, 14 Oct 2008 09:38:18 -0400
On Mon, Oct 13, 2008 at 6:13 AM, Tim Dijkstra <tim@famdijkstra.org> wrote:
> Luis,
>
> Unfortunately I haven't looked at splashy (or any other FOSS project for
> that matter) for a while, but I noticed this bug is RC. The bug log shows
> you've been commenting on it, do you know the status?
>

Hey Tim,

We tried to fix this in various ways from Splashy's end but we were
not successful. It looks like uswsusp starts (dfb init) the
framebuffer again when resuming at boot. Meaning, /sbin/splashy starts
from initramfs and later uswsusp starts libsplashy again.

We weren't sure how to go about making both of them work. If you can
point me in the right direction I can implement a fix. (Not sure about
uswsusp as I have never seen the source code for it -- yet.)



-- 
----)(-----
Luis Mondesi
Maestro Debiano

----- START ENCRYPTED BLOCK (Triple-ROT13) ------
Gur Hohagh [Yvahk] qvfgevohgvba oevatf gur fcvevg bs Hohagh gb gur
fbsgjner jbeyq.
----- END ENCRYPTED BLOCK (Triple-ROT13) ------




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Tue, 14 Oct 2008 14:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Tim Dijkstra" <tim@famdijkstra.org>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Tue, 14 Oct 2008 14:33:05 GMT) Full text and rfc822 format available.

Message #162 received at 486400@bugs.debian.org (full text, mbox):

From: "Tim Dijkstra" <tim@famdijkstra.org>
To: "Luis Mondesi" <lemsx1@gmail.com>
Cc: "Tim Dijkstra" <tim@famdijkstra.org>, 486400@bugs.debian.org
Subject: Re: Bug#486400: [Splashy-devel] Bug#486400: Bug#486400: Splashy works with hibernation, but ...
Date: Tue, 14 Oct 2008 16:29:45 +0200 (CEST)
Luis Mondesi schreef:
> On Mon, Oct 13, 2008 at 6:13 AM, Tim Dijkstra <tim@famdijkstra.org> wrote:

> We tried to fix this in various ways from Splashy's end but we were
> not successful. It looks like uswsusp starts (dfb init) the
> framebuffer again when resuming at boot. Meaning, /sbin/splashy starts
> from initramfs and later uswsusp starts libsplashy again.

When I was first looking at this, I made uswsusp start resume (and
libsplashy) from initramfs _before_ the regular splashy. That way, there
would never be two initialisations. The only drawback is that we have to
start splashy somewhat later in the boot process. So apparently splashy's
initscript was moved up in priority since the last time I looked at it.

> We weren't sure how to go about making both of them work. If you can
> point me in the right direction I can implement a fix. (Not sure about
> uswsusp as I have never seen the source code for it -- yet.)

I'm planning to look at this bug wednesday evening.

grts Tim





Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Sat, 25 Oct 2008 12:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Sat, 25 Oct 2008 12:18:02 GMT) Full text and rfc822 format available.

Message #167 received at 486400@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 486400@bugs.debian.org
Cc: 486400-subscribe@bugs.debian.org, Tim Dijkstra <tim@famdijkstra.org>, Luis Mondesi <lemsx1@gmail.com>
Subject: Status for this bug?
Date: Sat, 25 Oct 2008 14:11:41 +0200
Hi,

I was “assigned” the RC bug as part of BugSprint
(http://wiki.debian.org/BugSprint). Looking at the bug log, it seems
there was a solution back in july, which was implemented in slashy
0.3.12. But this didn't fix the problem.

What is the current status of the bug, and what are the conclusions? It
seems some info went on private mails, could they be published so one
can work on the issue?

Cheers,
-- 
Yves-Alexis




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Sat, 25 Oct 2008 17:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yves-Alexis Perez <corsac@debian.org>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Sat, 25 Oct 2008 17:39:05 GMT) Full text and rfc822 format available.

Message #172 received at 486400@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 486400@bugs.debian.org
Cc: Tim Dijkstra <tim@famdijkstra.org>, Luis Mondesi <lemsx1@gmail.com>
Subject: Not reproducible
Date: Sat, 25 Oct 2008 19:36:29 +0200
[Message part 1 (text/plain, inline)]
Ok, I fail to reproduce this on at least two boxes, a desktop and a
laptop. In both case, resume from hibernation works perfectly.

Cheers,
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Sun, 26 Oct 2008 01:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Sun, 26 Oct 2008 01:15:03 GMT) Full text and rfc822 format available.

Message #177 received at 486400@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: 486400@bugs.debian.org
Date: Sun, 26 Oct 2008 12:12:18 +1100
I will try again to reproduce it three machines I have running Debian.






Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Sun, 26 Oct 2008 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Sun, 26 Oct 2008 05:57:03 GMT) Full text and rfc822 format available.

Message #182 received at 486400@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: 486400@bugs.debian.org
Subject: it is working now
Date: Sun, 26 Oct 2008 16:54:37 +1100
I confirm that on all three machines I could test on, this bug is no
longer occuring. All three machines resumed successfully from suspend
and hibernate.







Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Sun, 26 Oct 2008 08:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eric Doviak" <ericdoviak@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Sun, 26 Oct 2008 08:00:03 GMT) Full text and rfc822 format available.

Message #187 received at 486400@bugs.debian.org (full text, mbox):

From: "Eric Doviak" <ericdoviak@gmail.com>
To: 486400@bugs.debian.org, corsac@debian.org
Cc: tim@famdijkstra.org, lemsx1@gmail.com
Subject: splashy does or doesn't work with hibernation ??
Date: Sun, 26 Oct 2008 03:57:24 -0400
Hi Yves-Alexis,

I am the person who originally submitted the bug report on Splashy's
troubles with hibernation. I encountered the problem a few months ago
on a Dell Latitude. Shortly thereafter, several other people wrote in
to say that they were experiencing similar difficulties.

At the moment, I am away from home working on a (recently acquired)
Compaq Evo N410c. I just installed Splashy on this machine and it
works perfectly with kernels 2.6.25 and 2.6.26. To be more precise, I
had no difficulty resuming after calling  /usr/sbin/hibernate  nor did
I have any difficulty resuming after calling  /usr/sbin/s2disk

When I return home tomorrow, I will reinstall and test Splashy on my
Dell Latitude, let you know if it works and provide you with some
feedback.

Hopefully, everything will work and you will get some cookies from the
Bug Sprint!

Cheers,
- Eric




Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Sun, 26 Oct 2008 10:21:07 GMT) Full text and rfc822 format available.

Notification sent to Eric Doviak <eric@doviak.net>:
Bug acknowledged by developer. (Sun, 26 Oct 2008 10:21:07 GMT) Full text and rfc822 format available.

Message #192 received at 486400-done@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: Tim Richardson <tim@tim-richardson.net>, 486400-done@bugs.debian.org
Subject: Re: Bug#486400: it is working now
Date: Sun, 26 Oct 2008 08:16:41 +0100
[Message part 1 (text/plain, inline)]
On dim, 2008-10-26 at 16:54 +1100, Tim Richardson wrote:
> I confirm that on all three machines I could test on, this bug is no
> longer occuring. All three machines resumed successfully from suspend
> and hibernate.

> Yves-Alexis, good luck with the cookies.

Woot, thanks!
-- 
Yves-Alexis
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Mon, 27 Oct 2008 01:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eric Doviak" <eric@doviak.net>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Mon, 27 Oct 2008 01:51:02 GMT) Full text and rfc822 format available.

Message #197 received at 486400@bugs.debian.org (full text, mbox):

From: "Eric Doviak" <eric@doviak.net>
To: 486400@bugs.debian.org, corsac@debian.org, tim@famdijkstra.org, lemsx1@gmail.com
Subject: Re: splashy does or doesn't work with hibernation ??
Date: Sun, 26 Oct 2008 21:50:22 -0400
Hi Luis, Tim and Yves-Alexis,

I received the notice that the Splashy hibernate bug has been closed,
but I promised to follow up, so I'm writing to follow up.

I just reinstalled and tested Splashy on my Dell Latitude C510. It
works fine now.

Because I'm curious ... What change was made that corrected Splashy's behavior?

Thanks for your time and attention to this issue and -- most
importantly -- thanks for taking the time to add a touch of beauty to
my Debian machines.

- Eric




Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Tue, 28 Oct 2008 14:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luis Mondesi <lemsx1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Tue, 28 Oct 2008 14:36:02 GMT) Full text and rfc822 format available.

Message #202 received at 486400@bugs.debian.org (full text, mbox):

From: Luis Mondesi <lemsx1@gmail.com>
To: Eric Doviak <eric@doviak.net>
Cc: 486400@bugs.debian.org, corsac@debian.org, tim@famdijkstra.org
Subject: Re: splashy does or doesn't work with hibernation ??
Date: Tue, 28 Oct 2008 10:33:38 -0400
On Sun, 2008-10-26 at 21:50 -0400, Eric Doviak wrote:
> Hi Luis, Tim and Yves-Alexis,
[snip]
> Because I'm curious ... What change was made that corrected Splashy's behavior?

Tim changed the order at which Splashy is executed during resume to
allow uswsusp to start first.

We will release 0.3.11 which is a complete fix for this issue.





Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. (Sun, 09 Nov 2008 15:33:16 GMT) Full text and rfc822 format available.

Notification sent to Eric Doviak <eric@doviak.net>:
Bug acknowledged by developer. (Sun, 09 Nov 2008 15:33:17 GMT) Full text and rfc822 format available.

Message #207 received at 486400-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 486400-close@bugs.debian.org
Subject: Bug#486400: fixed in splashy 0.3.12-1
Date: Sun, 09 Nov 2008 15:32:03 +0000
Source: splashy
Source-Version: 0.3.12-1

We believe that the bug you reported is fixed in the latest version of
splashy, which is due to be installed in the Debian FTP archive:

libsplashy1-dev_0.3.12-1_amd64.deb
  to pool/main/s/splashy/libsplashy1-dev_0.3.12-1_amd64.deb
libsplashy1_0.3.12-1_amd64.deb
  to pool/main/s/splashy/libsplashy1_0.3.12-1_amd64.deb
splashy_0.3.12-1.diff.gz
  to pool/main/s/splashy/splashy_0.3.12-1.diff.gz
splashy_0.3.12-1.dsc
  to pool/main/s/splashy/splashy_0.3.12-1.dsc
splashy_0.3.12-1_amd64.deb
  to pool/main/s/splashy/splashy_0.3.12-1_amd64.deb
splashy_0.3.12.orig.tar.gz
  to pool/main/s/splashy/splashy_0.3.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 486400@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated splashy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 09 Nov 2008 12:21:19 +0100
Source: splashy
Binary: splashy libsplashy1 libsplashy1-dev
Architecture: source amd64
Version: 0.3.12-1
Distribution: unstable
Urgency: low
Maintainer: Fathi Boudra <fabo@debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Description: 
 libsplashy1 - Library to draw splash screen on boot, shutdown, resume or suspen
 libsplashy1-dev - Library to draw splash screen on boot, shutdown, resume or suspen
 splashy    - A complete user-space boot splash system
Closes: 411061 411061 454917 454917 478313 485307 486400 490068 492643 496621 497118 497313 498861 499972 501315 501997
Changes: 
 splashy (0.3.12-1) unstable; urgency=low
 .
   [ Luis Mondesi ]
   * New upstream release:
     - Updates in uswsusp. (Closes: #498861)
     - Fix desktop-base breaks Splashy. (Closes: #501315)
     - Splashy displays note about running update-initramfs. (Closes: #478313)
     - (Closes: #486400, #485307, #411061, #454917, #490068, #492643)
       (Closes: #497118, #499972, #411061, #454917, #496621, #497313)
   * Remove 01_lsb-base-logging.sh_bug486139 patch. Merged upstream.
   * Remove 02_add_missing_headers patch. Merged upstream. (Closes: #501997)
     Fix FTBFBS with DEB_BUILD_OPTIONS=noopt,nostrip. Thanks to Bradley Smith.
 .
   [ Fathi Boudra ]
   * Add 01_fix_themes_path patch: fix config.xml.in path.
   * debian/splashy.postinst: make sure we use /usr/share/splashy/themes in
     /etc/splashy config.xml file.
 .
   [ Yves-Alexis Perez ]
   * debian/splashy.{preinst,postinst,postrm}: use sh -e to make sure errors are
     caught.
   * debian/control:
     - update standards version to 3.8.0, no changes needed.
     - add build-dep on rpath.
     - use the debian splashy repository instead of upstream one.
   * debian/rules:
     - remove rpath on /sbin/splashy.
Checksums-Sha1: 
 d03751532ff8429f4f1784bfcb8c6d61219f2775 1588 splashy_0.3.12-1.dsc
 4e721222b20b8fd3fbb8c845ed5c0f05ccead68a 1608017 splashy_0.3.12.orig.tar.gz
 396da9535d0b74e88a73376875128433c776f8e5 9556 splashy_0.3.12-1.diff.gz
 2764a5721075ff8222a1a63bc51bf978f0bd3ad1 1209292 splashy_0.3.12-1_amd64.deb
 17749c0db6cdf2aad1f107bd1f24638955000cbc 43512 libsplashy1_0.3.12-1_amd64.deb
 2e777c6f5d30b7ffacab2441e73dfef1063fd97c 32732 libsplashy1-dev_0.3.12-1_amd64.deb
Checksums-Sha256: 
 7046a9ded4727ddb6716b588ccb5bb5927ed0153cba58e6a260d654e5d8515d8 1588 splashy_0.3.12-1.dsc
 91bd95deb9ac17e423e6d064df140dde2f0278b981e6deac04b36da7a6fc2837 1608017 splashy_0.3.12.orig.tar.gz
 181b7d1b8b3c5fe3c184e3f028fba7bfef0031c2af44f079a1f30f30c6b36bea 9556 splashy_0.3.12-1.diff.gz
 94cf4f7afe2fd17872d895e66d2c24165883ead71020f2795db0435397fa4fd5 1209292 splashy_0.3.12-1_amd64.deb
 22b0c6a7d7fd16cba96025e01e98180792f636dc26ece039594e5fb394277b63 43512 libsplashy1_0.3.12-1_amd64.deb
 684442ecd8f7f2b001859250b36af66bc45965c80f8386e9b635937ac8af91f9 32732 libsplashy1-dev_0.3.12-1_amd64.deb
Files: 
 0978b3d27c9c360c3f726797d2b68c78 1588 graphics optional splashy_0.3.12-1.dsc
 ef5f89ffe9dbd831b78ff40e81d70588 1608017 graphics optional splashy_0.3.12.orig.tar.gz
 b0ec1b22285a770c25b4a2c09e688478 9556 graphics optional splashy_0.3.12-1.diff.gz
 c7b9f1ecc5de96675f644438651010cf 1209292 graphics optional splashy_0.3.12-1_amd64.deb
 2dc4590b58b0431e2308ba9bcb7fa05d 43512 libs optional libsplashy1_0.3.12-1_amd64.deb
 9be18c3b3e9e9c128c165efb4315a381 32732 libdevel optional libsplashy1-dev_0.3.12-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAkkW8S4ACgkQjPU19mqlcveJZQP/fsTsFmQyYd4tjoUvOrDa7BfX
4M2tnILGx77mThHRzDi64dVww73ZB848Ty6yrBZOHU/spIWxRX4sIGIFKB3pLKUE
5l/wQ8WZj6A+nigxesGlDxs5x7B0h56lNFoB598bWEvO7UxUNuYhStuNIoh+gCgV
2CdUZmSU9f0zpklTYj0=
=KF3d
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Splashy Devel <splashy-devel@lists.alioth.debian.org>:
Bug#486400; Package splashy. (Wed, 31 Dec 2008 10:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benoît Laniel <nels@pgroupe.net>:
Extra info received and forwarded to list. Copy sent to Splashy Devel <splashy-devel@lists.alioth.debian.org>. (Wed, 31 Dec 2008 10:48:02 GMT) Full text and rfc822 format available.

Message #212 received at 486400@bugs.debian.org (full text, mbox):

From: Benoît Laniel <nels@pgroupe.net>
To: 486400@bugs.debian.org
Date: Wed, 31 Dec 2008 11:45:44 +0100
It seems that starting splashy later in the boot process caused other
problems. After moving splashy script back to init-top, I had not
experienced bug #505270, nor #505291

Also, I solved this bug on some of my machines (others resume perfectly)
by setting 'early writeout' to 'no' in /etc/uswsusp.conf, so maybe it's
not needed to start splashy so late.

Best regards,
Benoît Laniel





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 29 Jan 2009 07:25:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:03:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.